Create new campaign
Create new campaign
Required permissions: CAMPAIGN
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+| ENUM | Description |
|---|---|
| CAMPAIGN | Normal campaign with rules set |
| PRICELIST | A campaign that includes a pricelist. No rules applies |
| ENUM | Description |
|---|---|
| CHEAPEST_PRODUCT | Cheapest product will be discounted |
| QUALIFIED_PRODUCT | All qualified products will be discounted |
| ORDER_DISCOUNT | An order discount will be added to the order |
A quantity that qualifies for the campaign to apply.
If both quantity and amount are set, both criteria must be met.
An amount that qualifies for the campaign to apply.
If both quantity and amount are set, both criteria must be met.
Discount amount given when the criteria are met.
Discount percent given when the criteria are met.
The max number of times the campaign can be applied to the order
^[A-Za-z0-9-_]+Priority for the campaign if more than one campaign applies. Lower number = higher priority.
^[A-Za-z0-9-_]+If campaignCode is set, it means that this campaign has to be manually actived on an order via PUT on the order
Flag to indicate that this campaign should not be combined with other campaigns. If any orderlines matches this campaign and priority is set to 1, no other campaigns will be considered.
^[A-Za-z0-9-_]+Example response
| ENUM | Description |
|---|---|
| NEW | Campaign is in a modeling state. Can be modified |
| ACTIVE | Campaign is active, and is considered when making sales operations. Campaign can not be modified |
| CLOSED | Campaign is closed. |
| ENUM | Description |
|---|---|
| CAMPAIGN | Normal campaign with rules set |
| PRICELIST | A campaign that includes a pricelist. No rules applies |
| ENUM | Description |
|---|---|
| CHEAPEST_PRODUCT | Cheapest product will be discounted |
| QUALIFIED_PRODUCT | All qualified products will be discounted |
| ORDER_DISCOUNT | An order discount will be added to the order |
^[A-Za-z0-9-_]+POST /v2/tenants/{tenantUid}/campaigns HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 410
{
"name": "text",
"displayName": "text",
"validFrom": "2026-01-01T00:00:00.000Z",
"validTo": "2026-01-01T00:00:00.000Z",
"type": "CAMPAIGN",
"discountType": "CHEAPEST_PRODUCT",
"storeUids": [
"text"
],
"quantityThreshold": 1,
"amountThreshold": 1,
"discountAmount": 1,
"discountPercent": 1,
"maxUsage": 1,
"pricelistUid": "text",
"priority": 1,
"campaignUid": "text",
"campaignCode": "text",
"preventCombinations": true,
"customerGroupUid": "text"
}Example response
{
"name": "text",
"status": "NEW",
"displayName": "text",
"validFrom": "2026-01-01T00:00:00.000Z",
"validTo": "2026-01-01T00:00:00.000Z",
"type": "CAMPAIGN",
"discountType": "CHEAPEST_PRODUCT",
"selection": {
"include": {
"productGroups:": [
{
"productGroupUid": "text",
"name": "text"
}
],
"brands": [
{
"brandUid": "text",
"name": "text"
}
],
"categories": [
{
"categoryUid": "text",
"name": "text"
}
],
"products": [
{
"productUid": "text",
"name": "text",
"sku": "text"
}
]
},
"exclude": {
"productGroups:": [
{
"productGroupUid": "text",
"name": "text"
}
],
"brands": [
{
"brandUid": "text",
"name": "text"
}
],
"categories": [
{
"categoryUid": "text",
"name": "text"
}
],
"products": [
{
"productUid": "text",
"name": "text",
"sku": "text"
}
]
}
},
"quantityThreshold": 1,
"amountThreshold": 1,
"discountAmount": 1,
"discountPercent": 1,
"maxUsage": 1,
"priority": 1,
"pricelist": {
"pricelistUid": "text",
"name": "text"
},
"stores": [
{
"storeUid": "text",
"name": "text"
}
],
"campaignUid": "text",
"campaignCode": "text",
"preventCombinations": true,
"customerGroup": {
"customerGroupUid": "text",
"name": "text"
}
}Last updated
Was this helpful?

